package math.polynomials;

import math.complex.CType;
import math.complex.Complex;
import math.utils.Util;

public class Poly20 {
    public static void main(String[] args) {
        QuadEquat qe = new QuadEquat(1, -1.3, 9.5);
        Complex[] arr = qe.getCroots();
        Util.print("delta: " + qe.getDelta());
        for (Complex complex : arr) {
            Util.print(complex.toString(CType.Normal));
        }
        Util.print("p: " + qe.getP());
        Util.print("q: " + qe.getQ());
        Util.print(qe.toString());
        Util.print(qe.toStringCanonic());
        Util.print(qe.toStringProduct());
    }
}
